CMSIS DSP Software Library: arm_linear_interp_example_f32.c File Reference

Defines | Functions | Variables

# arm_linear_interp_example_f32.c File Reference

`#include "arm_math.h"`
`#include "math_helper.h"`

Go to the source code of this file.

## Defines
#define | SNR_THRESHOLD 90
#define | TEST_LENGTH_SAMPLES 10
#define | XSPACING (0.00005f)
## Functions
int32_t | main (void)
## Variables
float32_t | testInputSin_f32 [TEST_LENGTH_SAMPLES]
float32_t | testRefSinOutput32_f32 [TEST_LENGTH_SAMPLES]
float32_t | testOutput [TEST_LENGTH_SAMPLES]
float32_t | testLinIntOutput [TEST_LENGTH_SAMPLES]
float32_t | arm_linear_interep_table [188495]
float32_t | snr1
float32_t | snr2

## Define Documentation

#define SNR_THRESHOLD 90

Definition at line 73 of file arm_linear_interp_example_f32.c.

#define TEST_LENGTH_SAMPLES 10

Definition at line 74 of file arm_linear_interp_example_f32.c.

#define XSPACING (0.00005f)

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 75 of file arm_linear_interp_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 123 of file arm_linear_interp_example_f32.c.

## Variable Documentation

float32_t testInputSin_f32[TEST_LENGTH_SAMPLES]

Initial value:

    {
        -0.649716504673081170,  -2.501723745497831200,  0.188250329003310100,   0.432092748487532540,   -1.722010988459680800,  1.788766476323060600,   1.786136060975809500,   -0.056525543169408797,
        0.491596272728153760,   0.262309671126153390
    }

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 83 of file arm_linear_interp_example_f32.c.

float32_t testRefSinOutput32_f32[TEST_LENGTH_SAMPLES]

Initial value:

    {
        -0.604960695383043530,  -0.597090287967934840,  0.187140422442966500,   0.418772124875992690,   -0.988588831792106880,  0.976338412038794010,   0.976903856413481100,   -0.056495446835214236,
        0.472033731854734240,   0.259311907228582830
    }

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 93 of file arm_linear_interp_example_f32.c.

float32_t testOutput[TEST_LENGTH_SAMPLES]

Definition at line 102 of file arm_linear_interp_example_f32.c.

float32_t testLinIntOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 107 of file arm_linear_interp_example_f32.c.

float32_t arm_linear_interep_table[188495]

Examples:
  arm_linear_interp_example_f32.c.

float32_t snr1

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 117 of file arm_linear_interp_example_f32.c.

float32_t snr2

Examples:
  arm_linear_interp_example_f32.c.

Definition at line 118 of file arm_linear_interp_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines